Debian Bug report logs - #511387
please provide easy documentation how to use italc

version graph

Package: italc; Maintainer for italc is Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>;

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sat, 10 Jan 2009 11:48:05 UTC

Severity: wishlist

Fixed in version italc/1:2.0.0-3

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-edu@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#511387; Package italc. (Sat, 10 Jan 2009 11:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to debian-edu@lists.debian.org, Patrick Winnertz <winnie@debian.org>. (Sat, 10 Jan 2009 11:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: please provide easy documentation how to use italc
Date: Sat, 10 Jan 2009 12:47:03 +0100
[Message part 1 (text/plain, inline)]
package: italc
severity: wishlist
x-debbugs-cc: debian-edu@lists.debian.org

On Dienstag, 30. Dezember 2008, Valerio Pachera wrote:
> In a previous mail I worte I wish ITALC to be preconfigured for the
> next debian edu released and you ask instruction/help fot it.
> Here it is the analisys I made.
> -------------------------------------------
>
> Well, I try to explain how I would preset italc on debian edu.
> The point is that different actions have to be taken on the base of
> the different profile we are working with.
>
> Profile
> -main
> -ltsp
> -workstation
> -diskless workstation (dws)
>
> Short introduciton:
> italc is made by two programs:
> 1-the client (called "ica"). It is a daemon that runs on the computers
> we want to control (also called clients)
> 2-the main application "italc" that teachers use to check and control
> students.
>
> Italc uses keys to increase security.
> The private keys have to be presente on the computers where teachers
> want to run the main application.
> Actualy we don't know wich computer they will use so I think it's a
> good idea so I suggest to make the private key available on all
> computers/profiles.
>
> The public key has off course to be present on all computers and to be
> readable by anyone (or at least, all students).
>
> So, shortly, the actions needed after italc installation are two:
> 1-keys generation
> 2-run the ica daemon on all clients and on the ltsp server(s)
>
> Focus on the firt step:
> ---------
> ### STEP 1: KEY GENERATIONS ###
> keys has to be generated once and be available to all clients. I think
> the best way to do it is to generate them on the "main"
> profile/machine because every computer on the debian edu network are
> in contact with it.
>
>
> --MAIN PROFILE
> here we need to install only italc client (ica).
> We do not need to run it but we have to generate the keys
> # ica -createkeypair
>
> This will create the directory
> /etc/italc/keys/ wich contains "public" and "private" folders with the
> respective keys.
>
> It's now a good idea to assign the private keys to the "teachers"
> group and be sure tey can read them (and none else).
> # chgrp -R teachers /etc/italc/private
> # for key in $("find /etc/italc/private/ key"); do chmod 640 done
>
> We have to ensure that "public" keys have 644 permission.
>
> <isntalla itcal client e guarda i permessi di default. Idem per le
> chiavi private>
> The public keys are already readable by anyone do we don't need to do
> anything.
>
> We have to make available the keys to the other hosts on the net so we
> export them using nfs with something like that in /etc/exports
>   /usr/share/keys 10.0.2.0/23(ro,subtree_check)
> 192.168.0.0/24(ro,subtree_check)
>
> --THIN CLIENTS
> we don't have to do anything special about keys because the thin
> clinets runs on the server and the keys are already there
> We just have to
>
>
> --WORKSTATION
> Both italc client (ica) and italc master have to be installed by
> deafult on this profile.
> We need the same keys that are on the MAIN server. We simply have to
> create the folder /etc/italc and mount the shared folde by /etc/fstab
> with something like
>   10.0.2.1:/etc/italc /etc/italc nfs ro 0 0
>
> --DISKLESS WORKSTATION
> We can do the samething we did for theworkstation: mount the
> /etc/italc folder by fstab.
>
>
>
>
> ### STEP 2: RUN ITALC CLIET (ICA) ###
>
> --MAIN PROFILE
> we do not need to run the daemon here. None have to control this
> machine or use italc master on it.
>
> --LTSP PROFILE
> thin client run o this machine so we have to run ica to control them.
> Because we have to run "n" istances of ica for "n" thin clinet
> connected, we MUST use a different port for each ica session.
> To aim that is sufficent call a small script instead of calling
> directly /usr/bib/ica.
> This script take care of running ica using an unique port wich number
> is the sum of the last part of the thin clinet IP plus 11.000.
> (Note: on the master application to refear to a thin client we have to
> specify the ltsp server address WITH the unique port).
>
> --THIN CLIENT
> we do not have to do anything because we did it on the ltsp server
>
> --WORKSTATION
> we do not need any modification about ports here. We need only to
> execute ica when the usr log in.
>
> --DISKLESS WORKSTATION
> the same as workstation
>
> -----------------------
>
> ITALC MASTER CONFIGURATION
>
> italc master, like any other apllication, save its own configuration
> file in the user home folder.
> That means a teacher may configre it in the finest way but the other
> teachers will have to repeat the same process.
> We can avoid that using a global configuration file. We already
> exportet the folder /etc/italc that is reachable by any host of the
> debian edu netowrk, so we can simply put the configuration file in
> this folder.
> Copy the file configured by the teacher in that directory
> cp ~/.italc/globalconfig.xml /etc/italc/
> It may be a good idea to not give write permission to all teacher but
> only to teacher of group "teacher+".
> # chown teacher+:teacher+ /usr/share/italc.conf
> # chmod 640 /etc/italc/globalconfig.xml
> Now we need to instruct italc to use that file.
> Edit /etc/xdg/iTALC Solutions/iTALC.conf adding
> [paths]
> globalconfig=/etc/italc/
>
> ------------------------
> Actualy I didn't test all this stuff on debian edu lenny because the
> installation fails.
> I have a pure lenny where I can see that on the repository there is
> the 1.0.9_rc3 version of italc.
> It would be good to pack the stable release instead of the rc3.
>
> I made a schema to simplify thing. It may not be accurated because I
> made it in a hurry.
> http://www.linuxludus.it/sites/default/files/download/debian-edu_italc.svg
> Let me know if we can work to have italc preconfigured in debian-edu.
> ------------------------
>
> Valerio.


I turned this into a bugreport to get some maintainer reaction on this. Last 
time I looked, italc included no useful documentation how to get started in 
the package (there is stuff online), so this bug is a request to document 
inside the package how to use it.


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#511387; Package italc. (Tue, 13 Jan 2009 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. (Tue, 13 Jan 2009 06:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 511387@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 511387@bugs.debian.org
Subject: Re: Bug#511387: please provide easy documentation how to use italc
Date: Tue, 13 Jan 2009 07:02:14 +0100
[Message part 1 (text/plain, inline)]
Hey,

> I turned this into a bugreport to get some maintainer reaction on this.
> Last time I looked, italc included no useful documentation how to get
> started in the package (there is stuff online), so this bug is a request to
> document inside the package how to use it.

I'll add some kind of docu in the next upload. :)

Greetings
Winnie

-- 
 . '' ` .   Patrick Winnertz <winnie@debian.org>
:  :'   :   proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~winnie - http://www.der-winnie.de
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#511387; Package italc. (Tue, 13 Jan 2009 11:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Tue, 13 Jan 2009 11:18:11 GMT) Full text and rfc822 format available.

Message #15 received at 511387@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 511387@bugs.debian.org
Subject: Re: Bug#511387: please provide easy documentation how to use italc
Date: Tue, 13 Jan 2009 12:15:40 +0100
[Message part 1 (text/plain, inline)]
Hey Patrick,

On Dienstag, 13. Januar 2009, Patrick Winnertz wrote:
> I'll add some kind of docu in the next upload. :)

do you plan to target that upload for lenny?


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.debian.org. (Sun, 11 Aug 2013 01:21:08 GMT) Full text and rfc822 format available.

Message sent on to Holger Levsen <holger@layer-acht.org>:
Bug#511387. (Sun, 11 Aug 2013 01:21:12 GMT) Full text and rfc822 format available.

Message #20 received at 511387-submitter@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 511387-submitter@bugs.debian.org
Subject: Bug#511387 marked as pending
Date: Sun, 11 Aug 2013 01:16:29 +0000
tag 511387 pending
thanks

Hello,

Bug #511387 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=debian-edu/italc.git;a=commitdiff;h=494ef2b

---
commit 494ef2b4b79ab561c37ab17e0dd9682c8f4c4201
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sun Aug 11 03:11:25 2013 +0200

    Provide documentation: README.setup. (Closes: #511387).

diff --git a/debian/changelog b/debian/changelog
index 8e8bf4e..c5858f7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -22,6 +22,7 @@ italc (1:2.0.0-3) UNRELEASED; urgency=low
   * Add patch: 006_inject-buildtype-from-outside.patch. Inject the build
     type (actually the BUILD_CPU) from /debian/rules. Avoid the detection
     code from upstream as it only covers x86 and x86_64. (Closes: #718745).
+  * Provide documentation: README.setup. (Closes: #511387).
 
  -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 May 2013 10:17:38 +0200
 



Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Sun, 11 Aug 2013 07:51:05 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sun, 11 Aug 2013 07:51:05 GMT) Full text and rfc822 format available.

Message #25 received at 511387-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 511387-close@bugs.debian.org
Subject: Bug#511387: fixed in italc 1:2.0.0-3
Date: Sun, 11 Aug 2013 07:48:06 +0000
Source: italc
Source-Version: 1:2.0.0-3

We believe that the bug you reported is fixed in the latest version of
italc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated italc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 11 Aug 2013 03:11:55 +0200
Source: italc
Binary: italc-master italc-client italc-management-console libitalccore
Architecture: source amd64
Version: 1:2.0.0-3
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 italc-client - Intelligent Teaching and Learning with Computers - Client
 italc-management-console - Intelligent Teaching and Learning with Computers - Management Con
 italc-master - Intelligent Teaching and Learning with Computers - Master
 libitalccore - Intelligent Teaching and Learning with Computers - common librari
Closes: 511387 666428 666429 707836 718745
Changes: 
 italc (1:2.0.0-3) unstable; urgency=low
 .
   * /debian/control:
     + italc-client: Add adduser to Depends: field. (Closes: #707836).
   * /debian/rules:
     + Re-build .ts and .qm files during build time to incorporate
       latest translation fixes.
   * Lintian issues:
     + Fix duplicate-in-relation-field in source build-depends: libxrandr-dev,
       libxrandr-dev.
     + Fix unneeded-build-dep-on-quilt.
     + Fix spelling-error-in-binary usr/bin/italc neccessary necessary.
     + Fix spelling-error-in-binary usr/lib/italc/libItalcCore.so neccessary
       necessary.
     + Fix spelling-error-in-manpage usr/share/man/man1/ica.1.gz neccessary
       necessary.
     + Fix hyphen-used-as-minus-sign usr/share/man/man1/ica.1.gz.
     + Fix hyphen-used-as-minus-sign usr/share/man/man1/imc.1.gz.
   * Update patches.
   * Provide file italc-client.desktop. (Closes: #666428).
   * Provide file italc-master.desktop. (Closes: #666429).
   * Add patch: 006_inject-buildtype-from-outside.patch. Inject the build
     type (actually the BUILD_CPU) from /debian/rules. Avoid the detection
     code from upstream as it only covers x86 and x86_64. (Closes: #718745).
   * Provide documentation: README.setup. (Closes: #511387).
Checksums-Sha1: 
 aa3b83dd27f7f9ff33ca0acd0f8d7bec737a9479 2427 italc_2.0.0-3.dsc
 886bdaf75e45ac4317187e9a283b2cda1b7726b1 30275 italc_2.0.0-3.debian.tar.gz
 f86b78df6f685dab3dd152a9cee8697f24564baa 641022 italc-master_2.0.0-3_amd64.deb
 12abffbdff6f0b4673a0827e7840ae985606ff34 608042 italc-client_2.0.0-3_amd64.deb
 81d1263ba76ca725a01f3e6b452f7079ef37e251 132830 italc-management-console_2.0.0-3_amd64.deb
 be1e795d7e63973a22441c059449724620fe7d36 524300 libitalccore_2.0.0-3_amd64.deb
Checksums-Sha256: 
 3b8541b983e7e1b417690d40180fc9fc67f94d8ebd3896f1c8681b201158901e 2427 italc_2.0.0-3.dsc
 b58a6a0b9b81cb4051b4358ebe9871f964dbee9f9ab8a5759dc344526e926510 30275 italc_2.0.0-3.debian.tar.gz
 0c316b11508cb170ab69f6f0a64530f1dcaa2c6c765edcec0685383683d124a8 641022 italc-master_2.0.0-3_amd64.deb
 a2003db9f4e7d9e18342bccfb311c4db6410dd941b89f86404c6dd81f6ee5f8b 608042 italc-client_2.0.0-3_amd64.deb
 369e9c16d196d3817a10988b3a5c0a4dfc5d62812c430161d6ef79c1bd61afa5 132830 italc-management-console_2.0.0-3_amd64.deb
 497ad4747ff096407251a635498dbaa2ef7d444b30d4c1a6465bfccaa982f8df 524300 libitalccore_2.0.0-3_amd64.deb
Files: 
 d7281bc4d97ba7ba4fc6391e3911813c 2427 x11 optional italc_2.0.0-3.dsc
 2ed0256d451c0b91c4a9339abb7b9b47 30275 x11 optional italc_2.0.0-3.debian.tar.gz
 266f49168e0a31a83552c9c4ba57b4ff 641022 x11 optional italc-master_2.0.0-3_amd64.deb
 f5c3c65f9c2e20d52a032182466abfd2 608042 x11 optional italc-client_2.0.0-3_amd64.deb
 dc50eb67a85923f29a83dddfffc29074 132830 x11 optional italc-management-console_2.0.0-3_amd64.deb
 6d32b218edc2ced86240c482e61ac364 524300 x11 optional libitalccore_2.0.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSB0AWAAoJEJr0azAldxsxicAP/0OQ97f66CzBBBi6BEeYNk3n
MTDelUJLT1lwGhuCAOOlwEONzqHTysjp7CQcLWO8q1aMRgyPUJ688x1hdstRcKez
Q8D8xXWqlHNUlTg/LGk68j1r1LKQCi8SFkO7zWav9Xyi+eXG0fHF1RNYvZwloyZX
yYofXwBjnboAkDhggZ6t9ZpuDYxZyXGgc6/+4uxaUxDKQfNPTdQyxTOglFG2dA/K
q3MvdxL8VVh7V4WhChgi0qzKTm9xMgJlK4GlVScZtl2ZJrsKyZDjoBR75faQSgMQ
N3OMqjZ3FeHSGPdq3LzNnjf5dTXks9FkbOWjNvZXT0INBmU+KBZOYOS1ATG1s90K
Bi7dpy8NylBf8NYh6aygA4cyRMRLtFdn6EYbUAab38ms/cnKK3+OZ3WPl22LM5Pt
5N3yRRvd+zkkvnJG+W9/DPIrzS/8itqzT8Q3x6qjDOSc8Lh7sSD9WeMredZzcvUb
twoYuCA3JzPPB24/IZqvXI7SkPcNUa8YYq/6CFOes+jMtVwIrV+Ou/akoCoBgNs7
mh6QGX8nv0ucOF1QTaB1F0+wniCyqjzF8awD20UjXDmFtKk89Lnz0BhKGJbewF52
sXRvvS5f3MmIRHzZlQSZh8O6k2aq55h+s13ZRE1OHgY/GVUkvwCzdtMfmyfx50lR
SYQ+eJbSozGnwVxF0mUe
=hemn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Sep 2013 07:33:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:02:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.